**程序：范小海和岳希明，《新型农村社会养老保险参与行为中的同群效应》
**说明：本文所使用的CHIP住户数据的样本量为：2013年19696人，2018年18593人。现从每年样本中随机抽取800个予以公开，见附件“数据”。涉及到数据版权要求的变量，如villege，没有给出。

clear all

cd "...\...\data"
use sse_2013.dta
append using sse_2018.dta, force


**********缴费档次的同群效应************
reg sse_cl113 sse_cl1313 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2013 , cluster (villege)
outreg2 using Myfile_sse_xin.doc,replace  bdec(3) sdec(3) ctitle(y_d) 

reg sse_cl118 sse_cl1818 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2018 , cluster (villege)
outreg2 using Myfile_sse_xin.doc,append  bdec(3) sdec(3) ctitle(y_d) 

ivreg2 sse_cl113 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_cl1313=age_iv1) if yea==2013,first cluster (villege)
outreg2 using Myfile_sse_xin.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 sse_cl118 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_clp1818=age_iv1) if yea==2018,first cluster (villege)
outreg2 using Myfile_sse_xin.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

tobit sse_cl113 sse_cl1313 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2013,ll(0) vce(cluster villege)
margins, dydx(sse_cl1313) predict(ystar(0,.))  
outreg2 using Myfile_sse_tobxin.doc,replace  bdec(3) sdec(3) ctitle(y_d) addstat(Pseudo R-squared, `e(r2_p)')

tobit sse_cl118 sse_clp1818 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2018,ll(0) vce(cluster villege)
margins, dydx(sse_clp1818) predict(ystar(0,.))  
outreg2 using Myfile_sse_tobxin.doc,append  bdec(3) sdec(3) ctitle(y_d) addstat(Pseudo R-squared, `e(r2_p)')

ivtobit sse_cl113 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_cl1313=age_iv1) if yea==2013,ll(0) vce(cluster villege)
margins, dydx(sse_cl1313) predict(ystar(0,.))  
outreg2 using Myfile_sse_tob11IV1xin.doc,replace bdec(3) sdec(3) ctitle(y_d) 

ivtobit sse_cl118 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_clp1818=age_iv1) if yea==2018,ll(0) vce(cluster villege)
margins, dydx(sse_clp1818) predict(ystar(0,.)) 
outreg2 using Myfile_sse_tob11IV1xin.doc,append bdec(3) sdec(3) ctitle(y_d) 


*************缴费的同群效应************
reg sse sse_new13 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2013 , cluster (villege)
outreg2 using Myfile_sse_tob112.doc,replace  bdec(3) sdec(3) ctitle(y_d) 

reg sse sse_new18 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2018 , cluster (villege)
outreg2 using Myfile_sse_tob112.doc,append  bdec(3) sdec(3) ctitle(y_d) 

ivreg2 sse income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_new13=age_iv1) if yea==2013,first cluster (villege)
outreg2 using Myfile_sse_tob112.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 sse income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_newp18=age_iv1) if yea==2018,first cluster (villege)
outreg2 using Myfile_sse_tob112.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

*****
tobit sse sse_new13 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2013,ll(0) vce(cluster villege)
margins, dydx(sse_new13) predict(ystar(0,.))
outreg2 using Myfile_sse_tob1112.doc,replace  bdec(3) sdec(3) ctitle(y_d) addstat(Pseudo R-squared, `e(r2_p)')

tobit sse sse_newp18 income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 if yea==2018,ll(0) vce(cluster villege)
margins, dydx(sse_newp18) predict(ystar(0,.))
outreg2 using Myfile_sse_tob1112.doc,append bdec(3) sdec(3) ctitle(y_d) addstat(Pseudo R-squared, `e(r2_p)')

****
ivtobit sse income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_new13=age_iv1) if yea==2013,ll(0) vce(cluster villege)
margins, dydx(sse_new13) predict(ystar(0,.))
outreg2 using Myfile_sse_tob11IV1.doc,replace  bdec(3) sdec(3) ctitle(y_d) 

ivtobit sse income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m2-prov_m15 (sse_newp18=age_iv1) if yea==2018,ll(0) vce(cluster villege)
margins, dydx(sse_newp18) predict(ystar(0,.))
outreg2 using Myfile_sse_tob11IV1.doc,append bdec(3) sdec(3) ctitle(y_d) 
