**程序：范小海和岳希明，《新型农村社会养老保险参与行为中的同群效应》
**说明：本文所使用的CHIP住户数据的样本量为：2013年19696人，2018年18593人。现从每年样本中随机抽取800个予以公开，见附件“数据”。涉及到数据版权要求的变量，如villege，没有给出。

clear all

cd "...\...\data"

use peer_2013.dta
append using peer_2018.dta, force


**************基准回归结果***************
reg pension ppension_new  cit_m* if yea==2013 , cluster (villege)
outreg2 using IVpension_18103.doc,replace bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* if yea==2013, cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* if yea==2013 , cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3)  ctitle(y_d)

ivreg2 pension cit_m* (ppension_new=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* (ppension_new=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

reg pension ppension_new  cit_m* if yea==2018 , cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* if yea==2018, cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* if yea==2018 , cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3)  ctitle(y_d)

ivreg2 pension cit_m* (ppension_new=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* (ppension_new=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

***********安慰剂检验：同县不同村**************
reg pension ppension_d income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* if yea==2013, cluster (villege)
outreg2 using IVpension_1810013.doc,replace bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new ppension_d income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* if yea==2013, cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3)  ctitle(y_d) 

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* (ppension_d =age_city )  if yea==2013,first cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* (ppension_d ppension_new=age_city age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')


reg pension ppension_d income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* if yea==2018, cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3)  ctitle(y_d)

reg pension ppension_new ppension_d income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* if yea==2018, cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3)  ctitle(y_d) 

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* (ppension_d =age_city) if yea==2018,first cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m prov_m* (ppension_d ppension_new=age_city age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_1810013.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

*************机制检验：社会学习****************
ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if computer==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_181023.doc,replace bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if computer==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_181023.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if computer==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_181023.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if computer==0 & yea==2018,first cluster (villege)
outreg2 using IVpension_181023.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

**************异质性检验：村子大小***************
ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if cunzi_re2==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_cunzi.doc,replace bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if cunzi_re2==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_cunzi.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if cunzi_re2==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_cunzi.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if cunzi_re2==0 & yea==2018,first cluster (villege)
outreg2 using IVpension_cunzi.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

*********异质性检验：年龄**********
ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,replace bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if year<45 & yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if year<45 & yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if year>44 & yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if year>44 & yea==2013,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if year<45 & yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if year<45 & yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage0=age_iv1) if 44<year & yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionage=age_iv1) if 44<year & yea==2018,first cluster (villege)
outreg2 using IVpension_181033age.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

*********异质性检验：教育水平**********
ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,replace bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if elite==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if elite==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if elite==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if elite==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if elite==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if elite==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite=age_iv1) if elite==0 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 gender marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensionelite0=age_iv1) if elite==0& yea==2018,first cluster (villege)
outreg2 using IVpension_18103el.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

*********异质性检验：性别**********
ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,replace bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if gender==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if gender==1 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if gender==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if gender==0 & yea==2013,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if gender==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if gender==1 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender=age_iv1) if gender==0 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

ivreg2 pension income year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppensiongender0=age_iv1) if gender==0 & yea==2018,first cluster (villege)
outreg2 using IVpension_18103gender.doc,append bdec(3) sdec(3) ctitle(y_d) adds(Weak identification test , `e(widstat)')

***********稳健性检验：IV Probit***********
ivprobit pension cit_m* (ppension_new=age_iv1) if yea==2013,vce(cluster villege) 
outreg2 using IVp_18103.doc,replace bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, replace  bdec(3) sdec(3) ctitle(y_d)

ivprobit pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* (ppension_new=age_iv1) if yea==2013,vce(cluster villege) 
outreg2 using IVp_18103.doc,append bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, append  bdec(3) sdec(3) ctitle(y_d)

ivprobit pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if yea==2013,vce(cluster villege) 
outreg2 using IVp_18103.doc,append bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, append  bdec(3) sdec(3) ctitle(y_d)

ivprobit pension cit_m* (ppension_new=age_iv1) if yea==2018,vce(cluster villege) 
outreg2 using IVp_18103.doc,append bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, append  bdec(3) sdec(3) ctitle(y_d)

ivprobit pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop cit_m* (ppension_new=age_iv1) if yea==2018,vce(cluster villege) 
outreg2 using IVp_18103.doc,append bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, append  bdec(3) sdec(3) ctitle(y_d)

ivprobit pension income gender year year2 edu marry public ganbu bgnum farm hson hdau hold pension1 prop income_per1 county_m cit_m* (ppension_new=age_iv1) if yea==2018,vce(cluster villege) 
outreg2 using IVp_18103.doc,append bdec(3) sdec(3) ctitle(y_d)
margins, dydx(ppension_new) predict(pr) post
outreg2 using Margins_IVp3.doc, append  bdec(3) sdec(3) ctitle(y_d)
